"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const dotenv_1 = __importDefault(require("dotenv"));
const cors_1 = __importDefault(require("cors"));
const path_1 = __importDefault(require("path"));
const morgan_1 = __importDefault(require("morgan"));
const connection_1 = __importDefault(require("./src/services/config/connection"));
// import routesV1 from './src/v1/routes';
// import routesV2 from './src/v2/routes';
// import routesV2p1 from './src/v2.1/routes'
// import routesV2p2 from './src/v2.2/routes'
// import routesV2p3 from './src/v2.3/routes'
// import routesV2p4 from './src/v2.4/routes'
// import routesV2p5 from './src/v2.5/routes'
// import routesV2p6 from './src/v2.6/routes'
// import routesV2p7 from './src/v2.7/routes'
// import routesV2p8 from './src/v2.8/routes'
// import routesV2p9 from './src/v2.9'
const v2_9_1_1 = __importDefault(require("./src/v2.9.1"));
const v2_9_2_1 = __importDefault(require("./src/v2.9.2"));
const v2_9_3_1 = __importDefault(require("./src/v2.9.3"));
const cron_job_1 = require("./src/services/cron-job");
dotenv_1.default.config();
const app = (0, express_1.default)();
const port = process.env.PORT || 8000;
(0, connection_1.default)();
app.use(express_1.default.json());
app.use(express_1.default.urlencoded({ extended: true }));
app.use((0, cors_1.default)());
app.use((0, morgan_1.default)('dev'));
app.use('/public/images/', express_1.default.static(path_1.default.join(__dirname, '/public/images/')));
app.use('/public/files/', express_1.default.static(path_1.default.join(__dirname, '/public/files/')));
app.use('/public/reports/', express_1.default.static(path_1.default.join(__dirname, '/public/reports/')));
app.use('/public/videos/', express_1.default.static(path_1.default.join(__dirname, '/public/videos/')));
app.get('/', (req, res) => {
    res.send('Server is running...');
});
// app.use('/', routesV1)
// app.use('/', routesV2)
app.use('/', /* routesV2p1, routesV2p2, routesV2p3, routesV2p4, routesV2p5, routesV2p6, routesV2p7, routesV2p8, routesV2p9, */ v2_9_1_1.default, v2_9_2_1.default, v2_9_3_1.default);
app.listen(port, () => {
    console.log(`Server live at port: ${port}`);
});
(0, cron_job_1.scheduleCronJob)();
