"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyToken = exports.signJwt = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const http_messages_1 = __importDefault(require("../../services/constants/http-messages"));
const http_statuses_1 = __importDefault(require("../../services/constants/http-statuses"));
const signJwt = (_id) => {
    return jsonwebtoken_1.default.sign({ _id }, process.env.JWT_SECRET, { algorithm: 'HS384', expiresIn: "365 days" });
};
exports.signJwt = signJwt;
const verifyToken = (req, res, next) => {
    var _a;
    try {
        const decoded = jsonwebtoken_1.default.verify((_a = req.headers.authorization) === null || _a === void 0 ? void 0 : _a.split('Bearer ')[1], process.env.JWT_SECRET);
        next();
    }
    catch (err) {
        res.status(http_statuses_1.default.UNAUTHORIZED).json({ message: http_messages_1.default.validations.INVALID_TOKEN });
    }
};
exports.verifyToken = verifyToken;
