"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendMessage = exports.sendEmail = void 0;
const nodemailer_1 = __importDefault(require("nodemailer"));
const nodemailer_sendgrid_1 = __importDefault(require("nodemailer-sendgrid"));
const axios_1 = __importDefault(require("axios"));
const transporter = nodemailer_1.default.createTransport((0, nodemailer_sendgrid_1.default)({
    apiKey: process.env.SEND_GRID_KEY
}));
const sendEmail = (email, subject, details) => {
    const mailOptions = {
        from: 'noreply@sprintt.io',
        to: email,
        subject: subject,
        text: details
    };
    return new Promise((resolve) => {
        transporter.sendMail(mailOptions, (err, info) => {
            if (err)
                resolve(false);
            else
                resolve(true);
        });
    });
};
exports.sendEmail = sendEmail;
const sendMessage = (phoneNumber, message) => __awaiter(void 0, void 0, void 0, function* () {
    var _a;
    try {
        const smsOptions = {
            // userName: 'cucurico',
            // apiToken: '8d9d950f-8200-41ed-a5b8-01e8b74db0ce',
            // from: '+9720549370601',
            userName: 'Arielwimasor',
            apiToken: 'db96f180-c9bf-4b34-a884-f61cd8ca44f8',
            url: 'https://capi.inforu.co.il/api/v2/SMS/SendSms',
            to: phoneNumber ? (phoneNumber === null || phoneNumber === void 0 ? void 0 : phoneNumber.countryCode) + (phoneNumber === null || phoneNumber === void 0 ? void 0 : phoneNumber.number) : '+972549370601',
            from: '+9720524536140',
            message,
        };
        const auth = { username: smsOptions.userName, password: smsOptions.apiToken };
        const body = {
            Data: {
                Message: smsOptions.message,
                Recipients: [
                    {
                        Phone: smsOptions.to
                    }
                ],
                Settings: {
                    Sender: "SpotPark"
                }
            }
        };
        const { data, status } = yield axios_1.default.post(smsOptions.url, body, {
            headers: {
                Authorization: `Basic ${btoa(auth.username + ':' + auth.password)}`
            }
        });
        return { data, status };
    }
    catch (error) {
        console.log(error, 'Error while sending messages');
        return { data: error, status: (_a = error === null || error === void 0 ? void 0 : error.response) === null || _a === void 0 ? void 0 : _a.status };
    }
});
exports.sendMessage = sendMessage;
