"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendNotification = void 0;
const firebase_1 = require("../../services/firebase");
const notification_1 = __importDefault(require("../../models/notification"));
const sendNotification = (deviceToken, message, notificationType, data, userIds) => __awaiter(void 0, void 0, void 0, function* () {
    const body = Object.assign({ notificationType: notificationType ? notificationType : '' }, (data && Object.assign({}, data)));
    const notification = yield firebase_1.FirebaseService.messaging().sendToDevice(deviceToken, {
        data: body,
        notification: {
            title: 'SpotPark',
            body: message,
            sound: 'default',
        },
    });
    const dbNotification = new notification_1.default({
        deviceTokens: deviceToken,
        users: userIds ? userIds : [],
        title: 'SpotPark',
        message,
        body,
        response: notification
    });
    yield dbNotification.save();
    return notification;
});
exports.sendNotification = sendNotification;
