"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = require("mongoose");
const absenceSchema = new mongoose_1.Schema({
    user: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'User',
        required: true,
    },
    designatedSpot: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'ParkingSpot',
        required: true,
    },
    startDate: {
        type: Date,
        required: true,
        default: null,
    },
    endDate: {
        type: Date,
        required: true,
        default: null,
    },
    note: {
        type: String,
        required: false,
        default: 'לא נחוץ.',
    },
    status: {
        type: String,
        required: false,
        default: 'pending',
        enum: ['pending', 'completed', 'canceled'],
    },
    type: {
        type: String,
        required: false,
        default: 'system-generated',
        enum: ['user-created', 'system-generated'],
    },
}, { timestamps: true });
const Absence = (0, mongoose_1.model)('Absence', absenceSchema);
exports.default = Absence;
