"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = require("mongoose");
const announcementSchema = new mongoose_1.Schema({
    parkingLots: {
        type: [mongoose_1.Schema.Types.ObjectId],
        ref: 'ParkingLot',
        required: true,
    },
    startDate: {
        type: Date,
        required: true,
        default: Date.now(),
    },
    endDate: {
        type: Date,
        required: true,
        default: Date.now(),
    },
    title: {
        type: String,
        required: false,
        default: '',
    },
    content: {
        type: String,
        required: true,
    },
    status: {
        type: String,
        required: true,
        default: 'active',
        enum: ['active', 'archived', 'complete',],
    },
    readBy: {
        type: [mongoose_1.Schema.Types.ObjectId],
        ref: 'User',
        default: [],
    }
}, { timestamps: true });
const Announcement = (0, mongoose_1.model)('Announcement', announcementSchema);
exports.default = Announcement;
