"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = require("mongoose");
const complaintSchema = new mongoose_1.Schema({
    parkingLot: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'ParkingLot',
        required: false,
        default: null,
    },
    complaintBy: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'User',
        required: true,
    },
    details: {
        type: String,
        required: true,
    },
    status: {
        type: String,
        required: true,
        default: 'pending',
        enum: ['pending', 'opened', 'in-progress', 'closed', 'completed'],
    },
}, { timestamps: true });
const Complaint = (0, mongoose_1.model)('Complaint', complaintSchema);
exports.default = Complaint;
