"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = require("mongoose");
const logSchema = new mongoose_1.Schema({
    user: {
        ref: 'User',
        type: mongoose_1.Schema.Types.ObjectId
    },
    parkingLot: {
        ref: 'ParkingLot',
        type: mongoose_1.Schema.Types.ObjectId
    },
    level: {
        ref: 'Level',
        type: mongoose_1.Schema.Types.ObjectId
    },
    parkingSpot: {
        ref: 'ParkingSpot',
        type: mongoose_1.Schema.Types.ObjectId
    },
    reservation: {
        ref: 'Reservation',
        type: mongoose_1.Schema.Types.ObjectId
    },
    absence: {
        ref: 'Absence',
        type: mongoose_1.Schema.Types.ObjectId
    },
    announcement: {
        ref: 'Announcement',
        type: mongoose_1.Schema.Types.ObjectId
    },
    notification: {
        ref: 'Notification',
        type: mongoose_1.Schema.Types.ObjectId
    },
    request: {
        type: mongoose_1.Schema.Types.Mixed
    },
    input: {
        type: mongoose_1.Schema.Types.Mixed,
    },
    response: {
        type: mongoose_1.Schema.Types.Mixed
    },
    type: {
        type: String,
    },
    status: {
        type: String,
        enum: ['error', 'success'],
        required: true
    },
    statusCode: {
        type: Number,
        required: false,
    },
}, { timestamps: true });
const Log = (0, mongoose_1.model)('Log', logSchema);
exports.default = Log;
