"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = require("mongoose");
const parkingSpotSchema = new mongoose_1.Schema({
    parkingLot: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'ParkingLot',
        required: true,
    },
    level: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'Level',
        required: true,
    },
    spotType: {
        type: String,
        required: true,
        default: 'regular',
        enum: ['regular', 'designated', 'electric', 'disabled'],
    },
    designatedTo: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'User',
        required: false,
        default: null,
    },
    name: {
        type: String,
        required: false,
    },
    avatar: {
        type: String,
        required: false,
    },
    parkingCode: {
        type: String,
        required: true,
    },
    userPresenceDate: {
        type: Date,
        default: null,
        required: false,
    },
    outerToSpot: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'ParkingSpot',
        required: false,
        default: null,
    },
    innerToSpot: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'ParkingSpot',
        required: false,
        default: null,
    },
    isPermanent: {
        type: mongoose_1.Schema.Types.Boolean,
        required: false,
        default: false,
    }
}, { timestamps: true });
const ParkingSpot = (0, mongoose_1.model)('ParkingSpot', parkingSpotSchema);
exports.default = ParkingSpot;
