"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = require("mongoose");
const reservationSchema = new mongoose_1.Schema({
    user: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'User',
        required: true,
    },
    parkingLot: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'ParkingLot',
        required: true
    },
    level: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'Level',
        required: true
    },
    parkingSpot: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'ParkingSpot',
        required: true,
    },
    reservationDate: {
        type: Date,
        required: true,
    },
    isElectricChargingRequired: {
        type: Boolean,
        required: true,
        default: false,
    },
    isDisabled: {
        type: Boolean,
        required: false,
        default: false,
    },
    forMoving: {
        type: Boolean,
        required: false,
        default: false,
    },
    parkingStatus: {
        type: String,
        required: true,
        default: 'reserved',
        enum: ['reserved', 'occupied', 'moved', 'completed', 'canceled'],
    },
    moveTo: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'Reservation',
        required: false,
        default: null,
    },
    moveFrom: {
        type: mongoose_1.Schema.Types.ObjectId,
        ref: 'Reservation',
        required: false,
        default: null,
    },
}, { timestamps: true });
const Reservation = (0, mongoose_1.model)('Reservation', reservationSchema);
exports.default = Reservation;
