"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.unlockAdminAccount = exports.resetPassword = exports.loginWithTemporaryPassword = exports.forgotPassword = exports.loginAdmin = exports.updateAdmin = exports.deleteAdmin = exports.getAllAdmins = exports.getParkingLotAdmins = exports.getSingleAdmin = exports.createAdmin = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const app = (0, express_1.default)();
const services_1 = require("./services");
exports.createAdmin = app.post('/', services_1.createAdminService);
exports.getSingleAdmin = app.get('/:_id', authentication_1.verifyToken, services_1.getSingleAdminService);
exports.getParkingLotAdmins = app.get('/parking-lot/:_id', authentication_1.verifyToken, services_1.getParkingLotAdminsService);
exports.getAllAdmins = app.get('/', authentication_1.verifyToken, services_1.getAllAdminsService);
exports.deleteAdmin = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteAdminService);
exports.updateAdmin = app.put('/:_id', authentication_1.verifyToken, services_1.updateAdminService);
exports.loginAdmin = app.post('/login', services_1.loginAdminService);
exports.forgotPassword = app.post('/forgot-password', services_1.forgotPasswordService);
exports.loginWithTemporaryPassword = app.post('/login-temporary-password', services_1.loginWithTemporaryPasswordService);
exports.resetPassword = app.patch('/reset-password', authentication_1.verifyToken, services_1.resetPasswordService);
exports.unlockAdminAccount = app.patch('/unlock-account/:_id', authentication_1.verifyToken, services_1.unlockAdminAccountService);
