"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteLevel = exports.updateLotLevel = exports.getParkingLotLevelAvailableSpots = exports.getParkingLotLevels = exports.getSingleLevel = exports.getAllLotLevels = exports.createLotLevel = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const services_1 = require("./services");
const app = (0, express_1.default)();
exports.createLotLevel = app.post('/', authentication_1.verifyToken, services_1.createLotLevelService);
exports.getAllLotLevels = app.get('/', authentication_1.verifyToken, services_1.getAllLotLevelsService);
exports.getSingleLevel = app.get('/:_id', authentication_1.verifyToken, services_1.getSingleLevelService);
exports.getParkingLotLevels = app.get('/parking-lot/:_id', authentication_1.verifyToken, services_1.getParkingLotLevelsService);
exports.getParkingLotLevelAvailableSpots = app.get('/lot-levels-available-spots/:_id', authentication_1.verifyToken, services_1.getParkingLotLevelAvailableSpotsService);
exports.updateLotLevel = app.patch('/:_id', authentication_1.verifyToken, services_1.updateLotLevelService);
exports.deleteLevel = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteLevelService);
