"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteParkingSpot = exports.updateParkingSpot = exports.getLevelAvailableSpots = exports.getLotLevelSpots = exports.getLotMonitorSpots = exports.getParkingLotParkingSpots = exports.getSingleParkingSpot = exports.getAllParkingSpots = exports.createParkingSpot = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const app = (0, express_1.default)();
const services_1 = require("./services");
exports.createParkingSpot = app.post('/', authentication_1.verifyToken, services_1.createParkingSpotService);
exports.getAllParkingSpots = app.get('/', authentication_1.verifyToken, services_1.getAllParkingSpotsService);
exports.getSingleParkingSpot = app.get('/:_id', authentication_1.verifyToken, services_1.getSingleParkingSpotService);
// For Admin
exports.getParkingLotParkingSpots = app.get('/lot/:_id', authentication_1.verifyToken, services_1.getParkingLotParkingSpotsService);
exports.getLotMonitorSpots = app.get('/lot-monitor/:_id', authentication_1.verifyToken, services_1.getLotMonitorSpotsService);
exports.getLotLevelSpots = app.get('/level/:_id', authentication_1.verifyToken, services_1.getLotLevelSpotsService);
// For App
exports.getLevelAvailableSpots = app.get('/level-available/:_id', authentication_1.verifyToken, services_1.getLevelAvailableSpotsService);
exports.updateParkingSpot = app.put('/:_id', authentication_1.verifyToken, services_1.updateParkingSpotService);
exports.deleteParkingSpot = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteParkingSpotService);
