"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteUser = exports.deleteAllUsers = exports.unlockUserAccount = exports.resetPassword = exports.loginWithTemporaryPassword = exports.forgotPassword = exports.logoutUser = exports.loginUser = exports.updateUser = exports.getUsersReport = exports.getAllUsers = exports.getAdminLotsUsers = exports.getSingleUser = exports.createMultipleUsers = exports.createUser = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const services_1 = require("./services");
const app = (0, express_1.default)();
exports.createUser = app.post('/', authentication_1.verifyToken, services_1.createUserService);
exports.createMultipleUsers = app.post('/create-multiple', authentication_1.verifyToken, services_1.createMultipleUsersService);
exports.getSingleUser = app.get('/user/:_id', authentication_1.verifyToken, services_1.getSingleUserService);
exports.getAdminLotsUsers = app.get('/admin-users/:_id', authentication_1.verifyToken, services_1.getAdminLotsUsersService);
exports.getAllUsers = app.get('/', authentication_1.verifyToken, services_1.getAllUsersService);
exports.getUsersReport = app.get('/report', authentication_1.verifyToken, services_1.getUsersReportService);
exports.updateUser = app.put('/:_id', authentication_1.verifyToken, services_1.updateUserService);
exports.loginUser = app.post('/login', services_1.loginUserService);
exports.logoutUser = app.patch('/logout/:_id', services_1.logoutUserService);
exports.forgotPassword = app.post('/forgot-password', services_1.forgotPasswordService);
exports.loginWithTemporaryPassword = app.post('/login-temporary-password', services_1.loginWithTemporaryPasswordService);
exports.resetPassword = app.patch('/reset-password', services_1.resetPasswordService);
exports.unlockUserAccount = app.patch('/unlock-account/:_id', authentication_1.verifyToken, services_1.unlockUserAccountService);
exports.deleteAllUsers = app.delete('/', authentication_1.verifyToken, services_1.deleteAllUsersService);
exports.deleteUser = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteUserService);
