"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteVehicle = exports.updateVehicle = exports.searchFromRegistration = exports.getUserFromRegistration = exports.getUserVehicles = exports.getSingleVehicle = exports.getAllVehicles = exports.createVehicle = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const services_1 = require("./services");
const app = (0, express_1.default)();
exports.createVehicle = app.post('/', authentication_1.verifyToken, services_1.createVehicleService);
exports.getAllVehicles = app.get('/', authentication_1.verifyToken, services_1.getAllVehiclesService);
exports.getSingleVehicle = app.get('/vehicle/:_id', authentication_1.verifyToken, services_1.getSingleVehicleService);
exports.getUserVehicles = app.get('/user/:_id', authentication_1.verifyToken, services_1.getUserVehiclesService);
exports.getUserFromRegistration = app.get('/user-from-registration/:registration', authentication_1.verifyToken, services_1.getUserFromRegistrationService);
exports.searchFromRegistration = app.get('/search', authentication_1.verifyToken, services_1.searchFromRegistrationService);
exports.updateVehicle = app.put('/:_id', authentication_1.verifyToken, services_1.updateVehicleService);
exports.deleteVehicle = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteVehicleService);
