"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteAbsence = exports.updateAbsence = exports.getUserAbsenceStatusForDate = exports.getSpotAbsences = exports.getSingleAbsence = exports.getAllAbsences = exports.createAbsence = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const services_1 = require("./services");
const app = (0, express_1.default)();
exports.createAbsence = app.post('/', authentication_1.verifyToken, services_1.createAbsenceService);
exports.getAllAbsences = app.get('/', authentication_1.verifyToken, services_1.getAllAbsencesService);
exports.getSingleAbsence = app.get('/absence/:_id', authentication_1.verifyToken, services_1.getSingleAbsenceService);
exports.getSpotAbsences = app.get('/spot/:_id', authentication_1.verifyToken, services_1.getSpotAbsencesService);
exports.getUserAbsenceStatusForDate = app.get('/user-spot-absence/:_id', authentication_1.verifyToken, services_1.getUserAbsenceStatusForDateService);
exports.updateAbsence = app.put('/:_id', authentication_1.verifyToken, services_1.updateAbsenceService);
exports.deleteAbsence = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteAbsenceService);
