"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteAnnouncement = exports.updateAnnouncement = exports.readUserAnnouncements = exports.getSingleAnnouncement = exports.getUserAnnouncements = exports.getAllAnnouncements = exports.getAdminsAnnouncements = exports.createAnnouncement = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const services_1 = require("./services");
const app = (0, express_1.default)();
exports.createAnnouncement = app.post('/', authentication_1.verifyToken, services_1.createAnnouncementService);
exports.getAdminsAnnouncements = app.get('/admin/:_id', authentication_1.verifyToken, services_1.getAdminsAnnouncementsService);
exports.getAllAnnouncements = app.get('/', authentication_1.verifyToken, services_1.getAllAnnouncementsService);
exports.getUserAnnouncements = app.get('/user/:_id', authentication_1.verifyToken, services_1.getUserAnnouncementsService);
exports.getSingleAnnouncement = app.get('/announcement/:_id', authentication_1.verifyToken, services_1.getSingleAnnouncementService);
exports.readUserAnnouncements = app.put('/read/user/:_id', authentication_1.verifyToken, services_1.readUserAnnouncementsService);
exports.updateAnnouncement = app.put('/:_id', authentication_1.verifyToken, services_1.updateAnnouncementService);
exports.deleteAnnouncement = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteAnnouncementService);
