"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteComplaint = exports.spotTakenComplaint = exports.updateComplaint = exports.getSingleComplaint = exports.getComplaintsReport = exports.getAllComplaints = exports.createComplaint = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const services_1 = require("./services");
const app = (0, express_1.default)();
const complaintEnums = ['pending', 'opened', 'in-progress', 'closed', 'completed'];
exports.createComplaint = app.post('/', authentication_1.verifyToken, services_1.createComplaintService);
exports.getAllComplaints = app.get('/', authentication_1.verifyToken, services_1.getAllComplaintsService);
exports.getComplaintsReport = app.get('/report', authentication_1.verifyToken, services_1.getComplaintsReportService);
exports.getSingleComplaint = app.get('/:_id', authentication_1.verifyToken, services_1.getSingleComplaintService);
exports.updateComplaint = app.put('/:_id', authentication_1.verifyToken, services_1.updateComplaintService);
exports.spotTakenComplaint = app.patch('/spot-taken', authentication_1.verifyToken, services_1.spotTakenComplaintService);
exports.deleteComplaint = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteComplaintService);
