"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteHoliday = exports.updateHoliday = exports.getSingleHoliday = exports.getAllHolidays = exports.createHoliday = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const services_1 = require("./services");
const app = (0, express_1.default)();
exports.createHoliday = app.post('/', authentication_1.verifyToken, services_1.createHolidayService);
exports.getAllHolidays = app.get('/', authentication_1.verifyToken, services_1.getAllHolidaysService);
exports.getSingleHoliday = app.get('/:_id', authentication_1.verifyToken, services_1.getSingleHolidayService);
exports.updateHoliday = app.put('/:_id', authentication_1.verifyToken, services_1.updateHolidayService);
exports.deleteHoliday = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteHolidayService);
