"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteParkingLot = exports.updateParkingLot = exports.getParkingLotCounts = exports.getUserParkingLotAdmins = exports.getUserParkingLots = exports.getAdminParkingLots = exports.getSingleParkingLot = exports.getReport = exports.getAllParkingLots = exports.createParkingLot = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const services_1 = require("./services");
const app = (0, express_1.default)();
exports.createParkingLot = app.post('/', authentication_1.verifyToken, services_1.createParkingLotService);
exports.getAllParkingLots = app.get('/', authentication_1.verifyToken, services_1.getAllParkingLotsService);
exports.getReport = app.get('/report/:_id', authentication_1.verifyToken, services_1.getReportService);
exports.getSingleParkingLot = app.get('/lot/:_id', authentication_1.verifyToken, services_1.getSingleParkingLotService);
exports.getAdminParkingLots = app.get('/admin-lots/:_id', authentication_1.verifyToken, services_1.getAdminParkingLotsService);
exports.getUserParkingLots = app.get('/user-lots/:_id', authentication_1.verifyToken, services_1.getUserParkingLotsService);
exports.getUserParkingLotAdmins = app.get('/user-lot-admins/:_id', authentication_1.verifyToken, services_1.getUserParkingLotAdminsService);
exports.getParkingLotCounts = app.get('/counts/:_id', authentication_1.verifyToken, services_1.getParkingLotCountsService);
exports.updateParkingLot = app.put('/:_id', authentication_1.verifyToken, services_1.updateParkingLotService);
exports.deleteParkingLot = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteParkingLotService);
