"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteMessageTime = exports.updateMessageTime = exports.getSingleMessageTime = exports.getAllMessageTimes = exports.createMessageTime = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const services_1 = require("./services");
const app = (0, express_1.default)();
exports.createMessageTime = app.post('/', authentication_1.verifyToken, services_1.createMessageTimeService);
exports.getAllMessageTimes = app.get('/', authentication_1.verifyToken, services_1.getAllMessageTimesService);
exports.getSingleMessageTime = app.get('/:_id', authentication_1.verifyToken, services_1.getSingleMessageTimeService);
exports.updateMessageTime = app.put('/:_id', authentication_1.verifyToken, services_1.updateMessageTimeService);
exports.deleteMessageTime = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteMessageTimeService);
