"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteReservation = exports.changeReservedSpot = exports.updateReservation = exports.getSingleReservation = exports.getSpotAvailability = exports.getLevelReservations = exports.getParkingLotReservations = exports.getUserReservations = exports.getAllReservations = exports.createReservation = exports.reservationEnums = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const services_1 = require("./services");
const app = (0, express_1.default)();
exports.reservationEnums = ['reserved', 'occupied', 'moved', 'completed', 'canceled'];
exports.createReservation = app.post('/', authentication_1.verifyToken, services_1.createReservationService);
exports.getAllReservations = app.get('/', authentication_1.verifyToken, services_1.getAllReservationsService);
exports.getUserReservations = app.get('/user/:_id', authentication_1.verifyToken, services_1.getUserReservationsService);
exports.getParkingLotReservations = app.get('/lot/:_id', authentication_1.verifyToken, services_1.getParkingLotReservationsService);
exports.getLevelReservations = app.get('/level/:_id', authentication_1.verifyToken, services_1.getLevelReservationsService);
exports.getSpotAvailability = app.get('/spot-availability/:_id', authentication_1.verifyToken, services_1.getSpotAvailabilityService);
exports.getSingleReservation = app.get('/:_id', authentication_1.verifyToken, services_1.getSingleReservationService);
exports.updateReservation = app.patch('/:_id', authentication_1.verifyToken, services_1.updateReservationService);
exports.changeReservedSpot = app.put('/change-spot/:_id', authentication_1.verifyToken, services_1.changeReservedSpotService);
exports.deleteReservation = app.delete('/:_id', authentication_1.verifyToken, services_1.deleteReservationService);
