"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteUser = exports.deleteAllUsers = exports.unlockUserAccount = exports.resetPassword = exports.loginWithTemporaryPassword = exports.forgotPassword = exports.logoutUser = exports.searchGuest = exports.loginUser = exports.updateUser = exports.updateGuest = exports.getGuestUsersReport = exports.getUsersReport = exports.getAllUsers = exports.getAllGuestUsers = exports.getAdminLotsUsers = exports.getSingleUser = exports.createMultipleUsers = exports.createGuestUser = exports.createUser = void 0;
const express_1 = __importDefault(require("express"));
const authentication_1 = require("../../middlewares/authentication");
const services_1 = require("./services");
const app = (0, express_1.default)();
exports.createUser = app.post("/", authentication_1.verifyToken, services_1.createUserService);
exports.createGuestUser = app.post("/guest", authentication_1.verifyToken, services_1.createGuestUserService);
exports.createMultipleUsers = app.post("/create-multiple", authentication_1.verifyToken, services_1.createMultipleUsersService);
exports.getSingleUser = app.get("/user/:_id", authentication_1.verifyToken, services_1.getSingleUserService);
exports.getAdminLotsUsers = app.get("/admin-users/:_id", authentication_1.verifyToken, services_1.getAdminLotsUsersService);
exports.getAllGuestUsers = app.get("/guest", authentication_1.verifyToken, services_1.getAllGuestUsersService);
exports.getAllUsers = app.get("/", authentication_1.verifyToken, services_1.getAllUsersService);
exports.getUsersReport = app.get("/report", authentication_1.verifyToken, services_1.getUsersReportService);
exports.getGuestUsersReport = app.get("/report/guest", authentication_1.verifyToken, services_1.getGuestUsersReportService);
exports.updateGuest = app.put("/guest/:_id", authentication_1.verifyToken, services_1.updateGuestService);
exports.updateUser = app.put("/:_id", authentication_1.verifyToken, services_1.updateUserService);
exports.loginUser = app.post("/login", services_1.loginUserService);
exports.searchGuest = app.get("/guest/search/:search", authentication_1.verifyToken, services_1.searchGuestService);
exports.logoutUser = app.patch("/logout/:_id", services_1.logoutUserService);
exports.forgotPassword = app.post("/forgot-password", services_1.forgotPasswordService);
exports.loginWithTemporaryPassword = app.post("/login-temporary-password", services_1.loginWithTemporaryPasswordService);
exports.resetPassword = app.patch("/reset-password", services_1.resetPasswordService);
exports.unlockUserAccount = app.patch("/unlock-account/:_id", authentication_1.verifyToken, services_1.unlockUserAccountService);
exports.deleteAllUsers = app.delete("/", authentication_1.verifyToken, services_1.deleteAllUsersService);
exports.deleteUser = app.delete("/:_id", authentication_1.verifyToken, services_1.deleteUserService);
