import express, { Request, Response, Application } from 'express';
import dotenv from 'dotenv';
import cors from 'cors';
import path from 'path';
import morgan from 'morgan';
import connectToDb from './src/services/config/connection';
// import routesV1 from './src/v1/routes';
// import routesV2 from './src/v2/routes';
// import routesV2p1 from './src/v2.1/routes'
// import routesV2p2 from './src/v2.2/routes'
// import routesV2p3 from './src/v2.3/routes'
// import routesV2p4 from './src/v2.4/routes'
// import routesV2p5 from './src/v2.5/routes'
// import routesV2p6 from './src/v2.6/routes'
// import routesV2p7 from './src/v2.7/routes'
// import routesV2p8 from './src/v2.8/routes'
// import routesV2p9 from './src/v2.9'
import routesV2p9p1 from './src/v2.9.1'
import routesV2p9p2 from './src/v2.9.2'
import routesV2p9p3 from './src/v2.9.3'
import { scheduleCronJob } from './src/services/cron-job';
dotenv.config()
const app: Application = express();
const port = process.env.PORT || 8000;
connectToDb()
app.use(express.json())
app.use(express.urlencoded({ extended: true }))
app.use(cors())
app.use(morgan('dev'))
app.use('/public/images/', express.static(path.join(__dirname, '/public/images/')))
app.use('/public/files/', express.static(path.join(__dirname, '/public/files/')))
app.use('/public/reports/', express.static(path.join(__dirname, '/public/reports/')))
app.use('/public/videos/', express.static(path.join(__dirname, '/public/videos/')))
app.get('/', (req: Request, res: Response) => {
    res.send('Server is running...');
})
// app.use('/', routesV1)
// app.use('/', routesV2)
app.use('/',/* routesV2p1, routesV2p2, routesV2p3, routesV2p4, routesV2p5, routesV2p6, routesV2p7, routesV2p8, routesV2p9, */routesV2p9p1, routesV2p9p2, routesV2p9p3)
app.listen(port, () => {
    console.log(`Server live at port: ${port}`)
})
scheduleCronJob()