import nodemailer from 'nodemailer'
import nodemailerSendgrid from 'nodemailer-sendgrid';
import axios from 'axios'
declare const process: {
    env: {
        SEND_GRID_KEY: string,
    }
}

const transporter = nodemailer.createTransport(nodemailerSendgrid({
    apiKey: process.env.SEND_GRID_KEY
}))

export const sendEmail = (email: string, subject: string, details: string): Promise<boolean> => {
    const mailOptions = {
        from: 'noreply@sprintt.io',
        to: email,
        subject: subject,
        text: details
    }
    return new Promise((resolve) => {
        transporter.sendMail(mailOptions, (err: any, info: any) => {
            if (err) resolve(false)
            else resolve(true)
        })
    })
}

export const sendMessage = async (phoneNumber: { countryCode: string, number: string } | null, message: string): Promise<{ data: any, status: number }> => {
    try {
        const smsOptions = {
            // userName: 'cucurico',
            // apiToken: '8d9d950f-8200-41ed-a5b8-01e8b74db0ce',
            // from: '+9720549370601',
            userName: 'Arielwimasor',
            apiToken: 'db96f180-c9bf-4b34-a884-f61cd8ca44f8',
            url: 'https://capi.inforu.co.il/api/v2/SMS/SendSms',
            to: phoneNumber ? phoneNumber?.countryCode + phoneNumber?.number : '+972549370601',
            from: '+9720524536140',
            message,
        }
        const auth = { username: smsOptions.userName, password: smsOptions.apiToken };
        const body = {
            Data: {
                Message: smsOptions.message,
                Recipients: [
                    {
                        Phone: smsOptions.to
                    }
                ],
                Settings: {
                    Sender: "SpotPark"
                }
            }
        }
        const { data, status } = await axios.post(smsOptions.url, body, {
            headers: {
                Authorization: `Basic ${btoa(auth.username + ':' + auth.password)}`
            }
        })
        return { data, status }
    } catch (error: any) {
        console.log(error, 'Error while sending messages')
        return { data: error, status: error?.response?.status }
    }

}