import { Schema, Model, model } from "mongoose";
export interface IComplaintInterface {
    parkingLot: Schema.Types.ObjectId,
    complaintBy: Schema.Types.ObjectId,
    details: string,
    status: string,
}
const complaintSchema: Schema<IComplaintInterface> = new Schema({
    parkingLot: {
        type: Schema.Types.ObjectId,
        ref: 'ParkingLot',
        required: false,
        default: null,
    },
    complaintBy: {
        type: Schema.Types.ObjectId,
        ref: 'User',
        required: true,
    },
    details: {
        type: String,
        required: true,
    },
    status: {
        type: String,
        required: true,
        default: 'pending',
        enum: ['pending', 'opened', 'in-progress', 'closed', 'completed'],
    },
}, { timestamps: true })

const Complaint: Model<IComplaintInterface> = model('Complaint', complaintSchema)

export default Complaint