import { Schema, Model, model } from "mongoose";
export interface IHoliday {
    name?: string;
    startDate: Date,
    startTime: string,
    endDate: Date,
    endTime: string,
}
const holidaySchema: Schema<IHoliday> = new Schema({
    name: {
        type: String,
        required: false,
        default: '',
    },
    startDate: {
        type: Date,
        required: true,
    },
    endDate: {
        type: Date,
        required: true,
    },
    startTime: {
        type: Schema.Types.String,
        required: true,
    },
    endTime: {
        type: Schema.Types.String,
        required: true,
    },
}, { timestamps: true })

const Holiday: Model<IHoliday> = model('Holiday', holidaySchema)

export default Holiday