import { Schema, Model, model } from "mongoose";
export interface ILevelInterface {
    _id: Schema.Types.ObjectId | string,
    parkingLot: Schema.Types.ObjectId,
    name: string,
    level: number,
    map: string,
    entrance: number,
}
const levelSchema: Schema<ILevelInterface> = new Schema({
    parkingLot: {
        type: Schema.Types.ObjectId,
        ref: 'ParkingLot',
        required: true,
    },
    name: {
        type: String,
        required: true,
    },
    level: {
        type: Number,
        required: true,
    },
    map: {
        type: String,
        required: true,
    },
    entrance: {
        type: Number,
        required: true,
    },
}, { timestamps: true })
const Level: Model<ILevelInterface> = model('Level', levelSchema)

export default Level