import { Schema, Model, model } from "mongoose";
export interface IMessageTime {
    label: string,
    labelHeb: string,
    value: string,
    timeOfDay: 'before-evening' | 'morning',
}
const messageTimeSchema: Schema<IMessageTime> = new Schema({
    label: {
        type: Schema.Types.String,
        required: true,
    },
    labelHeb: {
        type: Schema.Types.String,
        required: true,
    },
    timeOfDay: {
        type: Schema.Types.String,
        enum: ['before-evening', 'morning'],
        required: true,
    },
    value: {
        type: Schema.Types.String,
        required: true,
    },
}, { timestamps: true })

const MessageTime: Model<IMessageTime> = model('MessageTime', messageTimeSchema)

export default MessageTime