import mongoose, { Schema, Model, Types } from "mongoose";

export interface IVehicle {
    _id: Types.ObjectId;
    user: Types.ObjectId;
    make?: string;
    model?: string;
    registration: string;
}

export const vehiclesSchema: Schema<IVehicle> = new mongoose.Schema({
    user: {
        type: mongoose.Schema.Types.ObjectId,
        ref: 'User',
        required: false,
    },
    make: {
        type: String,
        required: false,
    },
    model: {
        type: String,
        required: false,
    },
    registration: {
        type: String,
        required: true,
        unique: false,
    },
}, { timestamps: true })

const Vehicle: Model<IVehicle> = mongoose.model('Vehicle', vehiclesSchema);

export default Vehicle