import express, { Application, RequestHandler, } from 'express';
import { verifyToken } from '../../middlewares/authentication';
import { createAbsenceService, deleteAbsenceService, getAllAbsencesService, getSingleAbsenceService, getSpotAbsencesService, getUserAbsenceStatusForDateService, updateAbsenceService } from './services';
const app: Application = express()

export const createAbsence: RequestHandler = app.post('/', verifyToken, createAbsenceService)

export const getAllAbsences: RequestHandler = app.get('/', verifyToken, getAllAbsencesService)

export const getSingleAbsence: RequestHandler = app.get('/absence/:_id', verifyToken, getSingleAbsenceService)

export const getSpotAbsences: RequestHandler = app.get('/spot/:_id', verifyToken, getSpotAbsencesService)

export const getUserAbsenceStatusForDate: RequestHandler = app.get('/user-spot-absence/:_id', verifyToken, getUserAbsenceStatusForDateService)

export const updateAbsence: RequestHandler = app.put('/:_id', verifyToken, updateAbsenceService)

export const deleteAbsence: RequestHandler = app.delete('/:_id', verifyToken, deleteAbsenceService)