import express, { Application, RequestHandler, } from 'express';
import { verifyToken } from '../../middlewares/authentication';
import { createAnnouncementService, deleteAnnouncementService, getAdminsAnnouncementsService, getAllAnnouncementsService, getSingleAnnouncementService, getUserAnnouncementsService, readUserAnnouncementsService, updateAnnouncementService } from './services';
const app: Application = express()

export const createAnnouncement: RequestHandler = app.post('/', verifyToken, createAnnouncementService)

export const getAdminsAnnouncements: RequestHandler = app.get('/admin/:_id', verifyToken, getAdminsAnnouncementsService)

export const getAllAnnouncements: RequestHandler = app.get('/', verifyToken, getAllAnnouncementsService)

export const getUserAnnouncements: RequestHandler = app.get('/user/:_id', verifyToken, getUserAnnouncementsService)

export const getSingleAnnouncement: RequestHandler = app.get('/announcement/:_id', verifyToken, getSingleAnnouncementService)

export const readUserAnnouncements: RequestHandler = app.put('/read/user/:_id', verifyToken, readUserAnnouncementsService)

export const updateAnnouncement: RequestHandler = app.put('/:_id', verifyToken, updateAnnouncementService)

export const deleteAnnouncement: RequestHandler = app.delete('/:_id', verifyToken, deleteAnnouncementService)