import express, { Application, RequestHandler, } from 'express';
import { verifyToken } from '../../middlewares/authentication';
import { createComplaintService, deleteComplaintService, getAllComplaintsService, getComplaintsReportService, getSingleComplaintService, spotTakenComplaintService, updateComplaintService } from './services';
const app: Application = express()
const complaintEnums = ['pending', 'opened', 'in-progress', 'closed', 'completed']

export const createComplaint: RequestHandler = app.post('/', verifyToken, createComplaintService)

export const getAllComplaints: RequestHandler = app.get('/', verifyToken, getAllComplaintsService)

export const getComplaintsReport: RequestHandler = app.get('/report', verifyToken, getComplaintsReportService)

export const getSingleComplaint: RequestHandler = app.get('/:_id', verifyToken, getSingleComplaintService)

export const updateComplaint: RequestHandler = app.put('/:_id', verifyToken, updateComplaintService)

export const spotTakenComplaint: RequestHandler = app.patch('/spot-taken', verifyToken, spotTakenComplaintService)

export const deleteComplaint: RequestHandler = app.delete('/:_id', verifyToken, deleteComplaintService)