import express, { Application, } from 'express';
import { verifyToken } from '../../middlewares/authentication';
import { createParkingLotService, deleteParkingLotService, getAdminParkingLotsService, getAllParkingLotsService, getParkingLotCountsService, getReportService, getSingleParkingLotService, getUserParkingLotAdminsService, getUserParkingLotsService, updateParkingLotService } from './services';
const app: Application = express()

export const createParkingLot = app.post('/', verifyToken, createParkingLotService)

export const getAllParkingLots = app.get('/', verifyToken, getAllParkingLotsService)

export const getReport = app.get('/report/:_id', verifyToken, getReportService)

export const getSingleParkingLot = app.get('/lot/:_id', verifyToken, getSingleParkingLotService)

export const getAdminParkingLots = app.get('/admin-lots/:_id', verifyToken, getAdminParkingLotsService)

export const getUserParkingLots = app.get('/user-lots/:_id', verifyToken, getUserParkingLotsService)

export const getUserParkingLotAdmins = app.get('/user-lot-admins/:_id', verifyToken, getUserParkingLotAdminsService)

export const getParkingLotCounts = app.get('/counts/:_id', verifyToken, getParkingLotCountsService)

export const updateParkingLot = app.put('/:_id', verifyToken, updateParkingLotService)

export const deleteParkingLot = app.delete('/:_id', verifyToken, deleteParkingLotService)