import express, { Application, } from 'express';
import { verifyToken } from '../../middlewares/authentication';
const app: Application = express()
import { createParkingSpotService, deleteParkingSpotService, getAllParkingSpotsService, getLevelAvailableSpotsService, getLotLevelSpotsService, getLotMonitorSpotsService, getParkingLotParkingSpotsService, getSingleParkingSpotService, updateParkingSpotService } from './services';

export const createParkingSpot = app.post('/', verifyToken, createParkingSpotService)

export const getAllParkingSpots = app.get('/', verifyToken, getAllParkingSpotsService)

export const getSingleParkingSpot = app.get('/:_id', verifyToken, getSingleParkingSpotService)
// For Admin
export const getParkingLotParkingSpots = app.get('/lot/:_id', verifyToken, getParkingLotParkingSpotsService)

export const getLotMonitorSpots = app.get('/lot-monitor/:_id', verifyToken, getLotMonitorSpotsService)

export const getLotLevelSpots = app.get('/level/:_id', verifyToken, getLotLevelSpotsService)
// For App
export const getLevelAvailableSpots = app.get('/level-available/:_id', verifyToken, getLevelAvailableSpotsService)

export const updateParkingSpot = app.put('/:_id', verifyToken, updateParkingSpotService)

export const deleteParkingSpot = app.delete('/:_id', verifyToken, deleteParkingSpotService)