import express, { Application } from 'express';
const app: Application = express()
import { createVehicle, getAllVehicles, getSingleVehicle, getUserVehicles, getUserFromRegistration, searchFromRegistration, updateVehicle, deleteVehicle } from './controllers'

const vehicleRoutes = app.use(
    '/vehicles',
    createVehicle,
    getAllVehicles,
    getSingleVehicle,
    getUserVehicles,
    getUserFromRegistration,
    searchFromRegistration,
    updateVehicle,
    deleteVehicle,
)

export { vehicleRoutes }