import express, { Application, RequestHandler, } from 'express';
import { verifyToken } from '../../middlewares/authentication';
import { createHolidayService, getAllHolidaysService, getSingleHolidayService, updateHolidayService, deleteHolidayService } from './services';
const app: Application = express()

export const createHoliday: RequestHandler = app.post('/', verifyToken, createHolidayService)

export const getAllHolidays: RequestHandler = app.get('/', verifyToken, getAllHolidaysService)

export const getSingleHoliday: RequestHandler = app.get('/:_id', verifyToken, getSingleHolidayService)

export const updateHoliday: RequestHandler = app.put('/:_id', verifyToken, updateHolidayService)

export const deleteHoliday: RequestHandler = app.delete('/:_id', verifyToken, deleteHolidayService)