import express, { Application, RequestHandler, } from 'express';
import { verifyToken } from '../../middlewares/authentication';
import { createLotLevelService, deleteLevelService, getAllLotLevelsService, getParkingLotLevelAvailableSpotsService, getParkingLotLevelsService, getSingleLevelService, updateLotLevelService } from './services';
const app: Application = express()

export const createLotLevel: RequestHandler = app.post('/', verifyToken, createLotLevelService)

export const getAllLotLevels: RequestHandler = app.get('/', verifyToken, getAllLotLevelsService)

export const getSingleLevel: RequestHandler = app.get('/:_id', verifyToken, getSingleLevelService)

export const getParkingLotLevels: RequestHandler = app.get('/parking-lot/:_id', verifyToken, getParkingLotLevelsService)

export const getParkingLotLevelAvailableSpots: RequestHandler = app.get('/lot-levels-available-spots/:_id', verifyToken, getParkingLotLevelAvailableSpotsService)

export const updateLotLevel: RequestHandler = app.patch('/:_id', verifyToken, updateLotLevelService)

export const deleteLevel: RequestHandler = app.delete('/:_id', verifyToken, deleteLevelService)