import express, { Application, RequestHandler, } from 'express';
import { verifyToken } from '../../middlewares/authentication';
import { createMessageTimeService, deleteMessageTimeService, getAllMessageTimesService, getSingleMessageTimeService, updateMessageTimeService } from './services';
const app: Application = express()

export const createMessageTime: RequestHandler = app.post('/', verifyToken, createMessageTimeService)

export const getAllMessageTimes: RequestHandler = app.get('/', verifyToken, getAllMessageTimesService)

export const getSingleMessageTime: RequestHandler = app.get('/:_id', verifyToken, getSingleMessageTimeService)

export const updateMessageTime: RequestHandler = app.put('/:_id', verifyToken, updateMessageTimeService)

export const deleteMessageTime: RequestHandler = app.delete('/:_id', verifyToken, deleteMessageTimeService)