import express, { Application } from 'express';
const app: Application = express()

import { createParkingLot, getAllParkingLots, getAdminParkingLots, getUserParkingLots, getUserParkingLotAdmins, getSingleParkingLot, getParkingLotCounts, updateParkingLot, deleteParkingLot, getReport, } from './controllers'

const parkingLotRoutes = app.use(
    '/parking-lots',
    createParkingLot,
    getAllParkingLots,
    getReport,
    getAdminParkingLots,
    getUserParkingLots,
    getUserParkingLotAdmins,
    getSingleParkingLot,
    getParkingLotCounts,
    updateParkingLot,
    deleteParkingLot,
)

export { parkingLotRoutes }