import express, { Application } from 'express';
const app: Application = express()
import {
    createReservation, getAllReservations, getUserReservations, getParkingLotReservations, getLevelReservations, getSpotAvailability, updateReservation, changeReservedSpot, getSingleReservation, deleteReservation,
    // findUserReservationsForToday 
} from './controllers'

const reservationRoutes = app.use(
    '/reservations',
    createReservation,
    getAllReservations,
    getUserReservations,
    getParkingLotReservations,
    getLevelReservations,
    getSpotAvailability,
    updateReservation,
    changeReservedSpot,
    getSingleReservation,
    deleteReservation,
    // findUserReservationsForToday,
)

export { reservationRoutes }