import express, { Application } from 'express';
const app: Application = express()
import {
    createUser,
    createMultipleUsers,
    getSingleUser,
    getAdminLotsUsers,
    getAllUsers,
    deleteUser,
    deleteAllUsers,
    updateUser,
    loginUser,
    forgotPassword,
    loginWithTemporaryPassword,
    resetPassword,
    unlockUserAccount,
    getUsersReport,
} from './controllers'

const userRoutes = app.use(
    '/users',
    createUser,
    createMultipleUsers,
    getSingleUser,
    getAdminLotsUsers,
    getUsersReport,
    getAllUsers,
    deleteUser,
    deleteAllUsers,
    updateUser,
    loginUser,
    forgotPassword,
    loginWithTemporaryPassword,
    resetPassword,
    unlockUserAccount,
)
export { userRoutes }