import express, { Application, RequestHandler, } from 'express';
import { verifyToken, } from '../../middlewares/authentication';
const app: Application = express()
import { createAdminService, deleteAdminService, forgotPasswordService, getAllAdminsService, getParkingLotAdminsService, getSingleAdminService, loginAdminService, loginWithTemporaryPasswordService, resetPasswordService, unlockAdminAccountService, updateAdminService } from './services';


export const createAdmin: RequestHandler = app.post('/', createAdminService)

export const getSingleAdmin: RequestHandler = app.get('/:_id', verifyToken, getSingleAdminService)

export const getParkingLotAdmins: RequestHandler = app.get('/parking-lot/:_id', verifyToken, getParkingLotAdminsService)

export const getAllAdmins: RequestHandler = app.get('/', verifyToken, getAllAdminsService)

export const deleteAdmin: RequestHandler = app.delete('/:_id', verifyToken, deleteAdminService)

export const updateAdmin: RequestHandler = app.put('/:_id', verifyToken, updateAdminService)

export const loginAdmin: RequestHandler = app.post('/login', loginAdminService)

export const forgotPassword: RequestHandler = app.post('/forgot-password', forgotPasswordService)

export const loginWithTemporaryPassword: RequestHandler = app.post('/login-temporary-password', loginWithTemporaryPasswordService)

export const resetPassword: RequestHandler = app.patch('/reset-password', verifyToken, resetPasswordService)

export const unlockAdminAccount: RequestHandler = app.patch('/unlock-account/:_id', verifyToken, unlockAdminAccountService)