import express, { Application } from 'express';
const app: Application = express()
import {
    createAdmin,
    getSingleAdmin,
    getParkingLotAdmins,
    getAllAdmins,
    deleteAdmin,
    updateAdmin,
    loginAdmin,
    forgotPassword,
    resetPassword,
    loginWithTemporaryPassword,
    unlockAdminAccount,
} from './controllers'

const adminRoutes = app.use(
    '/admins',
    createAdmin,
    getSingleAdmin,
    getParkingLotAdmins,
    getAllAdmins,
    deleteAdmin,
    updateAdmin,
    loginAdmin,
    forgotPassword,
    resetPassword,
    loginWithTemporaryPassword,
    unlockAdminAccount,
)

export { adminRoutes }