import express, { Application } from 'express';
const app: Application = express()

import { createAnnouncement, getAdminsAnnouncements, getAllAnnouncements, getSingleAnnouncement, getUserAnnouncements, readUserAnnouncements, updateAnnouncement, deleteAnnouncement, } from './controllers'

const announcementRoutes = app.use(
    '/announcements',
    createAnnouncement,
    getAdminsAnnouncements,
    getAllAnnouncements,
    getSingleAnnouncement,
    getUserAnnouncements,
    readUserAnnouncements,
    updateAnnouncement,
    deleteAnnouncement,
)

export { announcementRoutes }