import express, { Application } from 'express';
const app: Application = express()
import { adminRoutes } from './admins/routes';
import { parkingLotRoutes } from './parking-lots/routes';
import { levelRoutes } from './levels/routes';
import { parkingSpotRoutes } from './parking-spots/routes';
import { announcementRoutes } from './announcements/routes';
import { complaintRoutes } from './complaints/routes';
import { userRoutes } from './users/routes';
import { reservationRoutes } from './reservations/routes';
import { vehicleRoutes } from './vehicles/routes';
import { commonRoutes } from './common/routes';
import { absenceRoutes } from './absence/routes';
import { messageTimeRoutes } from './message-times/routes';
import { holidayRoutes } from './holidays/routes';

const routes = app.use(
    '/api/v2.9.3/',
    adminRoutes,
    parkingLotRoutes,
    levelRoutes,
    parkingSpotRoutes,
    announcementRoutes,
    userRoutes,
    vehicleRoutes,
    complaintRoutes,
    reservationRoutes,
    commonRoutes,
    absenceRoutes,
    messageTimeRoutes,
    holidayRoutes,
)
export default routes