import express, { Application } from 'express';
const app: Application = express()

import { createParkingSpot, getAllParkingSpots, getSingleParkingSpot, getParkingLotParkingSpots, getLotMonitorSpots, getLotLevelSpots, getLevelAvailableSpots, updateParkingSpot, deleteParkingSpot } from './controllers'

const parkingSpotRoutes = app.use(
    '/parking-spots',
    createParkingSpot,
    getAllParkingSpots,
    getSingleParkingSpot,
    getParkingLotParkingSpots,
    getLotMonitorSpots,
    getLotLevelSpots,
    getLevelAvailableSpots,
    updateParkingSpot,
    deleteParkingSpot,
)

export { parkingSpotRoutes }