import express, { Application, } from 'express';
import { verifyToken } from '../../middlewares/authentication';
import { createVehicleService, deleteVehicleService, getAllVehiclesService, getSingleVehicleService, getUserFromRegistrationService, getUserVehiclesService, searchFromRegistrationService, updateVehicleService } from './services';
const app: Application = express()

export const createVehicle = app.post('/', verifyToken, createVehicleService)

export const getAllVehicles = app.get('/', verifyToken, getAllVehiclesService)

export const getSingleVehicle = app.get('/vehicle/:_id', verifyToken, getSingleVehicleService)

export const getUserVehicles = app.get('/user/:_id', verifyToken, getUserVehiclesService)

export const getUserFromRegistration = app.get('/user-from-registration/:registration', verifyToken, getUserFromRegistrationService)

export const searchFromRegistration = app.get('/search', verifyToken, searchFromRegistrationService)

export const updateVehicle = app.put('/:_id', verifyToken, updateVehicleService)

export const deleteVehicle = app.delete('/:_id', verifyToken, deleteVehicleService)
